Bug 1466304 - Xneur find duplicates key map.
Summary: Xneur find duplicates key map.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xneur
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-29 12:09 UTC by Alex Gluck
Modified: 2017-12-03 18:44 UTC (History)
1 user (show)

Fixed In Version: xneur-0.20.0-1.fc27 xneur-0.20.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-03 17:37:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Alex Gluck 2017-06-29 12:09:27 UTC
Description of problem:
Xneur find duplicates key map. Manual language switch not work properly. 

Version-Release number of selected component (if applicable): 0.19.0


How reproducible:
Clear instalation fedora workstation, install gxneur.

Steps to Reproduce:
1. Clear OS instalation
2. Setup two language: RU and US
3. Install gxneur

Actual results: xneur find two russian, and one english


Expected results: one russian and one english


Additional info:

May be right will be update rpm to 0.20.0 version with support libevent?

Comment 1 Fedora Update System 2017-11-12 00:04:07 UTC
gxneur-0.20.0-1.fc27 xneur-0.20.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-19e293e5fa

Comment 2 Alex Gluck 2017-11-12 18:01:49 UTC
Bug not fixed. If i set layout manual $(setxkbmap -layout "us,ru") and restart gxneur problem fixed.

Comment 3 Fedora Update System 2017-11-12 20:22:22 UTC
xneur-0.20.0-1.fc26 gxneur-0.20.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-110de71419

Comment 4 Fedora Update System 2017-11-14 04:09:05 UTC
gxneur-0.20.0-1.fc26, xneur-0.20.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-110de71419

Comment 5 Fedora Update System 2017-11-14 10:57:05 UTC
gxneur-0.20.0-1.fc27, xneur-0.20.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-19e293e5fa

Comment 6 Fedora End Of Life 2017-11-16 19:51:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Pavel Alexeev 2017-12-02 23:17:45 UTC
Ok, I push at least update to 0.20.0 o stable.

And what you are mean under "Xneur find duplicates key map"? Where and how you see it? What desktop environment are you using?

Comment 8 Alex Gluck 2017-12-03 09:20:56 UTC
Fedora 27 gnome on x.server.

in terminal get list layout
$ setxkbmap -query
rules:      evdev
model:      pc105
layout:     us,ru,ru
variant:    ,,
options:    grp:alt_shift_toggle


in gxneur screenshot
https://i.imgur.com/h0FRKix.png

in gnome settings screenshot
https://i.imgur.com/FFp11Ny.png

WTF? This bug not in xneur. How to fix this? Where it?

Comment 9 Pavel Alexeev 2017-12-03 14:17:38 UTC
Hm. Indeed it seams not related to xneur.

Does system-config-keyboard help you fix it? Try also gnome settings center (I use XFCE, can't say exactly which chapter)

Comment 10 Fedora Update System 2017-12-03 17:37:56 UTC
gxneur-0.20.0-1.fc27, xneur-0.20.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-12-03 18:44:03 UTC
gxneur-0.20.0-1.fc26, xneur-0.20.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.